/* Registrace */

#formSubmitMessage p { margin: 1em 0; }

.hideBox { display: none; }

.messageOk { color: green; font-weight: bold; }
.messageError { color: red; }

.formSubmitInstructions {  color: gray; margin: 1em auto !important; font-style: italic; padding: 0; max-width: 500px;   }

#regBox  {
     
  display: block;
  margin: 0 auto;
  max-width: 600px; 
  
}

.userImagePreview   { padding: 10px 0; }
.userImagePreview img { max-width: 150px; max-height: 150px; }

.paymentFilePreview { font-size: 120%; padding: 10px 0; }


#regBox form {
  
  padding-bottom:  20px; 
}

.regBlock { padding: 2em 0; border-bottom: 1px solid rgba(100,100,100,0.1); }

.regBlock.lastch { border-bottom: 0; }

.regBlock h2.regBlockTitle { font-size: 1.9em; margin: 0 0 1.5em 0; font-family: Oswald; font-weight: 100; }

.regInputBox { margin: 0 auto 2em auto;  width: 90%;}
.regInputBox h2 { font-size: 1.5em; margin: 0 0 0.5em 0; /* color: #5d3a78; */ }
.regInputBox h2 span { font-size: 80%; color: gray; }

.regInputBox h3 { font-size: 1.1em; margin: 0 0 0.2em 0; }
.regInputBox h3 em, .regInputBox ul li em { font-size: 80%; color: gray; font-style: normal; }

.regInputBox span { color: red; font-size: 0.9em; }
.regInputBox.kategorieMoznosti span { display: block; margin: 0 0 0.5em 0; }
.regInputBox.fileBox span.error { display: block; margin: 0 0 0.5em 0; }

/* https://stackoverflow.com/questions/1632005/ordered-list-html-lower-alpha-with-right-parentheses */

.regInputBox ul { 
	counter-reset: list;
	margin-top: 1em; 
	margin-left: 0;
	padding-left: 0;
}

.regInputBox ul > li { 
	list-style: none;
	font-weight: 700; 
	padding: 0 0 2em 1.7rem; 
	position: relative;
}

.regInputBox ul > li:before { 
	content: counter(list, lower-alpha) ") ";
    counter-increment: list;
	position: absolute;
	top: 0;
	left: 0;
}

.regInputBox ul li span { display: block; font-weight: 400; }
.regInputBox ol li span.error, .regInputBox ul li span.error { color: red; font-size: 0.8em; }
.regInputBox ol { list-style-type: none; margin: 1em 0 0 0; padding: 0; }
.regInputBox ol li { padding: 0 0 0.8em 0; }

#regBox p.regInfo { color: gray; font-style: italic; }

#regBox input[type="text"] {
  font-size: 1.1em;
  padding:  5px;
  border:  1px solid rgba(0,0,0,.1); 

 /* min-width:  280px; */ 
  width:  100%; 
  box-sizing:  border-box; 
  transition:  all .3s linear; 
  color:  #000; 
  font-weight:  400; 
  -webkit-appearance:  none;    
}

#regBox input[type="text"]:focus {
 outline: none; 
border-color: #166276;
			box-shadow: 0 0 0 1px #166276;
 }

#regBox input.narozeni { max-width: 150px; }

#regBox textarea { padding:  5px; font-size: 1.1em; max-width: calc(100% - 10px); transition:  all .3s linear; }
#regBox textarea:focus { 
outline: none; 
border-color: #166276;
			box-shadow: 0 0 0 1px #166276;
 }

.submitClear { padding: 2em 0; text-align: center; }
.submitClear p { text-align: center; }

.formLoading { margin: 0.5em; width: 50px; height: 50px; }  


  
.formBox label span.error { padding-left: 0.5em; color: red; font-weight: bold; }  

ul.radios { display: block; list-style-type: none; margin: 0.5em 0; padding: 0; }
ul.radios li { display: inline; }

@media screen and (max-width: 620px) {

			ul.radios li { display: block; padding: 0.5em 0; }

}



input[type="checkbox"], input[type="radio"] {
    -moz-appearance: none;
    -webkit-appearance: none;
    -ms-appearance: none;
    appearance: none;
    display: block;
    float: left;
    margin: 0;
    margin-right: -2em;
    opacity: 0;
    width: 1em;
    z-index: -1;
}

input[type="checkbox"] + label, input[type="radio"] + label {
    color: #000;
 
}

input[type="checkbox"] + label,
		input[type="radio"] + label {
			text-decoration: none;
			cursor: pointer;
			display: inline-block;
			font-size:  16px; 
			font-weight: 400;
			padding-left: 2.2em;
			padding-right: 1.75em;
			position: relative;
      
		}

			input[type="checkbox"] + label:before,
			input[type="radio"] + label:before {
				-moz-osx-font-smoothing: grayscale;
				-webkit-font-smoothing: antialiased;
				font-family: FontAwesome;
				font-style: normal;
				font-weight: normal;
				text-transform: none !important;
			}

			input[type="checkbox"] + label:before,
			input[type="radio"] + label:before {
				border-radius: 0;
				border: solid 1px;
				content: '';
				display: inline-block;
				height: 1.65em;
				left: 0;
				line-height: 1.58125em;
				position: absolute;
				text-align: center;
				top: 0;
				width: 1.65em;
			}

		input[type="checkbox"]:checked + label:before,
		input[type="radio"]:checked + label:before {
			content: '\f00c';
		}

	input[type="checkbox"] + label:before {
		border-radius: 0;
	}

	input[type="radio"] + label:before {
		border-radius: 100%;
	}

	::-webkit-input-placeholder {
		opacity: 1.0;
	}

	:-moz-placeholder {
		opacity: 1.0;
	}

	::-moz-placeholder {
		opacity: 1.0;
	}

	:-ms-input-placeholder {
		opacity: 1.0;
	}

	.formerize-placeholder {
		opacity: 1.0;
	}

	label {
		color: #666;
	}
  
  
input[type="checkbox"] + label,
	input[type="radio"] + label {
		color: #000;
	}

		input[type="checkbox"] + label:before,
		input[type="radio"] + label:before {
			background: rgba(144, 144, 144, 0.075);
			border-color: rgba(144, 144, 144, 0.25);
		}

	input[type="checkbox"]:checked + label:before,
	input[type="radio"]:checked + label:before {
		background-color: #0d627f;
		border-color: #0d627f;
		color: #fff;
	}

	input[type="checkbox"]:focus + label:before,
	input[type="radio"]:focus + label:before {
		border-color: #0d627f;
		box-shadow: 0 0 0 1px #0d627f;
	}

	::-webkit-input-placeholder {
		color: #aaa !important;
	}

	:-moz-placeholder {
		color: #aaa !important;
	}

	::-moz-placeholder {
		color: #aaa !important;
	}

	:-ms-input-placeholder {
		color: #aaa !important;
	}

	.formerize-placeholder {
		color: #aaa !important;
	} 
  

  
#regBox button {
  -webkit-appearance:  none; 
  display: block;
  width:  auto;
  min-width:  100px;
  border-radius:  35px; 
  text-align:  center; 
  padding:  15px 40px;
  margin:  15px auto 0 auto; 
  /* background-color:  rgba(0,166,235, 0.8); */ 
  background-color: #184856;
  color:  #fff; 
  font-size:  1.2em;
  line-height: 1.2em;
  line-height: unset;
 
  box-shadow:  0px 2px 6px -1px rgba(0,0,0,.13); 
  border:  none;
  transition:  all .3s ease; 
  outline: 0; 
}

#regBox button:hover {

     transform:  translateY(-3px);
    box-shadow:  0 2px 6px -1px rgba(182,157,230, .65);
}

#regBox button:active {

 transform:  scale(.99);
}

#regBox button:after{

 content: none;
}




.formLoading.billLoading { display: inline-block;  /* height: 80px; */}

.inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.inputfile + label {
    max-width: 80%;
    font-size: 1.05rem;    
    font-weight: 700;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: pointer;
    display: inline-block;
    overflow: hidden;
    padding: 0.625rem 1.15rem 0.625rem 0.55rem;    
    margin: 10px auto 0 auto;   
}

.inputfile + label span { padding-left: 1.95rem; position: relative; color: gray; }

.inputfile + label span:before  {
  position: absolute;
  top: -3px;
  left: 4px;
  font-size: 0.95rem;
  text-align: center;
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  text-transform: none !important;
  color: gray;
 
}

.inputfile.docImage + label span:before  {
 
  content: "\f030";
}

.inputfile.docDoc + label span:before  {
 
  content: "\f093";
}


.inputfile:focus + label,
.inputfile.has-focus + label {
    outline: none; 
    outline: -webkit-focus-ring-color auto 5px;
}

.inputfile + label * {
    /* pointer-events: none; */
    /* in case of FastClick lib use */
}

.inputfile + label svg {
    width: 1.2em;
    height: 1.2em;
    vertical-align: middle;
    fill: gray;
    margin-top: -0.25em;    
    margin-right: 0.25em;    
}

.inputfile-1 + label {
     color: gray;
    border: 1px solid gray;  
    border-radius: 0.3em;    
    width: -moz-fit-content;
    margin: 0 0 1em 0;
   /* display: initial; */
    
}

.inputfile-1:focus + label,
.inputfile-1.has-focus + label,
.inputfile-1 + label:hover {
      color: #000;
      color: #00a6eb;
}


@media screen and (max-width: 700px) {

   .billFilePreview { display: block; margin: 0 auto;}
   .billFilePreview img { margin: 0.8em auto; }
}